/***************************************************************************
        plugintypes.h  -  type definitions for plugins (external C header)
                             -------------------
    begin                : Fri Oct 4 2002
    copyright            : (C) 2002 by Paul Eggleton
    email                : bluelightning@bluelightning.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INCLUDED__PLUGINTYPES_H
#define INCLUDED__PLUGINTYPES_H
 
#define PLUGINTYPES_H

typedef char *(*propertygetfn)(const char *);
typedef int (*propertysetfn)(const char *, const char *);
typedef char *(*methodfn)(const char *, int, const char *[]);

struct plugin_info {
  char *namestring;
  char *verstring;
};

struct eboxy_version_info {
  int major;
  int minor;
  int subminor;
};

#endif
